
void mainImage( out vec4 fragColor, in vec2 fragCoord )
{
    vec2 uv = fragCoord.xy/iResolution.xy;
	vec2 puv = (fragCoord.xy - 0.5*iResolution.xy) / iResolution.y;
    vec3 col = mix(vec3(0.1,0.2,0.1),  texture(iChannel0, uv).rgb , clamp(sqrt(1.-length(puv)),0.,1.)/2.+0.5);
    fragColor = vec4(col, 1.);
}